import Cluster from "@/models/Cluster";
import Factory from "@/models/Factory";

export default class Game {
    constructor() {
        this.money = 1_000;
        this.cluster = new Cluster();
        this.inventory = [];
    }

    buyFactory() {
        if (this.money >= Factory.price) {
            this.cluster.factories.push(new Factory());
            this.money -= Factory.price;
        } else {
            console.warn('💰 Not enough money to buy a factory');
        }
    }
}
