export default class Cluster {
    constructor() {
        this.inventory = [];
        this.factories = [];
    }

    startAll() {
        this.factories.forEach((factory) => {
            factory.start();
        })
    }

    stopAll() {
        this.factories.forEach((factory) => {
            factory.stop();
        })
    }
}
